Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.jsr94.admin
Class RLRuleExecutionSetProvider

`java.lang.Object
oracle.rules.jsr94.admin.RLRuleExecutionSetProvider`

All Implemented Interfaces:
  javax.rules.admin.RuleExecutionSetProvider, java.io.Serializable

public class RLRuleExecutionSetProvider
extends java.lang.Object
implements javax.rules.admin.RuleExecutionSetProvider, java.io.Serializable

The Oracle Business Rules implementation of the RuleExecutionSetProvider interface.

See Also:
  Serialized Form

Constructor Summary
`RLRuleExecutionSetProvider()`

Method Summary
`javax.rules.admin.RuleExecutionSet` | `createRuleExecutionSet(org.w3c.dom.Element element, java.util.Map properties)` Create a RuleExecutionSet implementation from the specified XML document.
`javax.rules.admin.RuleExecutionSet` | `createRuleExecutionSet(java.io.Serializable ast, java.util.Map properties)` Create a RuleExecutionSet implementation from an abstract syntax tree.
`javax.rules.admin.RuleExecutionSet` | `createRuleExecutionSet(java.lang.String uri, java.util.Map properties)` Create a RuleExecutionSet implementation from an XML document referenced by the specified URI (interpreted as a URL).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RLRuleExecutionSetProvider

    public RLRuleExecutionSetProvider()

Method Detail

### createRuleExecutionSet

    public javax.rules.admin.RuleExecutionSet createRuleExecutionSet(org.w3c.dom.Element element,
                                                                     java.util.Map properties)
                                                              throws javax.rules.admin.RuleExecutionSetCreateException,
                                                                     java.rmi.RemoteException

  Create a RuleExecutionSet implementation from the specified XML document.
  Specified by:
    `createRuleExecutionSet` in interface `javax.rules.admin.RuleExecutionSetProvider`
  Parameters:
    `element` - the XML document element.
    `properties` - optional properties.
  Returns:
    the RuleExecutionSet
  Throws:
    `javax.rules.admin.RuleExecutionSetCreateException` - if an error is encountered creating the RuleExecutionSet.
    `java.rmi.RemoteException`

### createRuleExecutionSet

    public javax.rules.admin.RuleExecutionSet createRuleExecutionSet(java.io.Serializable ast,
                                                                     java.util.Map properties)
                                                              throws javax.rules.admin.RuleExecutionSetCreateException,
                                                                     java.rmi.RemoteException

  Create a RuleExecutionSet implementation from an abstract syntax tree. This method is not supported and invoking it will throw a RuleExecutionSetCreateException.
  Specified by:
    `createRuleExecutionSet` in interface `javax.rules.admin.RuleExecutionSetProvider`
  Parameters:
    `ast` - the abstract syntax tree
    `properties` - optional properties.
  Returns:
    the RuleExecutionSet
  Throws:
    `javax.rules.admin.RuleExecutionSetCreateException` - always.
    `java.rmi.RemoteException`

### createRuleExecutionSet

    public javax.rules.admin.RuleExecutionSet createRuleExecutionSet(java.lang.String uri,
                                                                     java.util.Map properties)
                                                              throws javax.rules.admin.RuleExecutionSetCreateException,
                                                                     java.rmi.RemoteException,
                                                                     java.io.IOException

  Create a RuleExecutionSet implementation from an XML document referenced by the specified URI (interpreted as a URL).
  Specified by:
    `createRuleExecutionSet` in interface `javax.rules.admin.RuleExecutionSetProvider`
  Parameters:
    `uri` - the URL for an XML document describing the RuleExecutionSet.
    `properties` - optional properties.
  Returns:
    the RuleExecutionSet
  Throws:
    `java.io.IOException` - on an I/O error.
    `javax.rules.admin.RuleExecutionSetCreateException` - if an error is encountered creating the RuleExecutionSet.
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.